Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.dnd
Class DragSourceDropEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.awt.dnd.DragSourceEvent
                  |
                  +--java.awt.dnd.DragSourceDropEvent

All Implemented Interfaces:
  Serializable

public class DragSourceDropEvent
extends DragSourceEvent

The `DragSourceDropEvent` is delivered from the `DragSourceContextPeer`, via the `DragSourceContext`, to the `dragDropEnd` method of `DragSourceListener`s registered with that `DragSourceContext` and with its associated `DragSource`. It contains sufficient information for the originator of the operation to provide appropriate feedback to the end user when the operation completes.

Since:
  1.2
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DragSourceDropEvent(DragSourceContext dsc)` Construct a `DragSourceDropEvent` for a drag that does not result in a drop.
`DragSourceDropEvent(DragSourceContext dsc, int action, boolean success)` Construct a `DragSourceDropEvent` for a drop, given the `DragSourceContext`, the drop action, and a `boolean` indicating if the drop was successful.
`DragSourceDropEvent(DragSourceContext dsc, int action, boolean success, int x, int y)` Construct a `DragSourceDropEvent` for a drop, given the `DragSourceContext`, the drop action, a `boolean` indicating if the drop was successful, and coordinates.

Method Summary
`int` | `getDropAction()` This method returns an `int` representing the action performed by the target on the subject of the drop.
`boolean` | `getDropSuccess()` This method returns a `boolean` indicating if the drop was successful.

Methods inherited from class java.awt.dnd.DragSourceEvent
`getDragSourceContext, getLocation, getX, getY`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DragSourceDropEvent

    public DragSourceDropEvent(DragSourceContext dsc,
                               int action,
                               boolean success)

  Construct a `DragSourceDropEvent` for a drop, given the `DragSourceContext`, the drop action, and a `boolean` indicating if the drop was successful. The coordinates for this `DragSourceDropEvent` are not specified, so `getLocation` will return `null` for this event.

Parameters:
  `dsc` - the `DragSourceContext` associated with this `DragSourceDropEvent`
  `action` - the drop action
  `success` - a boolean indicating if the drop was successful
See Also:
  `DragSourceEvent.getLocation()`

### DragSourceDropEvent

    public DragSourceDropEvent(DragSourceContext dsc,
                               int action,
                               boolean success,
                               int x,
                               int y)

  Construct a `DragSourceDropEvent` for a drop, given the `DragSourceContext`, the drop action, a `boolean` indicating if the drop was successful, and coordinates.

Parameters:
  `dsc` - the `DragSourceContext` associated with this `DragSourceDropEvent`
  `action` - the drop action
  `success` - a boolean indicating if the drop was successful
  `x` - the horizontal coordinate for the cursor location
  `y` - the vertical coordinate for the cursor location
Since:
  1.4

### DragSourceDropEvent

    public DragSourceDropEvent(DragSourceContext dsc)

  Construct a `DragSourceDropEvent` for a drag that does not result in a drop. The coordinates for this `DragSourceDropEvent` are not specified, so `getLocation` will return `null` for this event.

Parameters:
  `dsc` - the `DragSourceContext`
See Also:
  `DragSourceEvent.getLocation()`

Method Detail

### getDropSuccess

    public boolean getDropSuccess()

  This method returns a `boolean` indicating if the drop was successful.

  Returns:
    `true` if the drop target accepted the drop and successfully performed a drop action; `false` if the drop target rejected the drop or if the drop target accepted the drop, but failed to perform a drop action.

### getDropAction

    public int getDropAction()

  This method returns an `int` representing the action performed by the target on the subject of the drop.

  Returns:
    the action performed by the target on the subject of the drop if the drop target accepted the drop and the target drop action is supported by the drag source; otherwise, `DnDConstants.ACTION_NONE`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.